Subject: Re: bug#6772: 23.2; Gnus' `nnimap-retrieve-headers-from-file' fails to load novcache

From: David Engster <[email-masked]>
Date: Sun, 01 Aug 2010 19:54:37 +0200

David Maus writes:
> While trying to mitigate the problem with IMAP server implementations
> that perform a painful slow UID SEARCH for a message-id I noted that
> `nnimap-retrieve-headers-from-file' fails to load the novcache because
> it inserts the content of the cache file in `nntp-seerver-buffer' that
> is not empty.

I don't see this as a bug. `nnimap-retrieve-headers-from-file' is an
internal nnimap function, and it just happens to depend on the caller
taking care of erasing (and maybe also restoring) the
nntp-server-buffer. If you don't want this, you could just duplicate the
three lines from the function to load the NOV file in any other (empty)
buffer of your choice.

-David